var kf >=0, integer;
var nf >=0, integer;
var hl >=0, integer;
var hm >=0, integer;
var vh >=0, integer;
var krf >=0, integer;
var sf >=0, integer;
var pf >=0, integer;
var hu >=0, integer;
var lf >=0, integer;
var pm >=0, integer;
var maf >=0, integer;
var csat >=0, integer;
var lmp >=0, integer;
var kaszf >=0, integer;
var harm >=0, integer;


#extra
#Maci fröccs: 1 fehérbor, 1.9 szóda, 0.1 mszörp - 800 ft
#Szerencsésflótás: 1 fbor, 1 rum, 1 szóda - 900 ft
#Újházi fröccs: 1 fbor és 2 kuborka - 150 ft
#Nagy medve: 3 vbor, 1 rum, 1 kóla - 1200 ft
#kisvadász: 1 vbor, 1 kóla - 500 ft
#nagyvadász: 2 vbor, 1 kóla - 650 ft

var maci >= 0, integer;
var szerencs >= 0, integer;
var uf >= 0, integer;
var nagym >= 0, integer;
var kisv >= 0, integer;
var nagyv >= 0, integer;

#Málnaszörp: 10l, Rum 20 l, Uborka 10 l, kóla 20 l, vbor 50l

s.t. bor: kf*1 + nf*2 + hl*1 + hm*3 + vh*2 +krf*9 + sf*1 + pf*6 + hu*4 + lf*1 + pm*6 + maf*0.5 + csat*1 + lmp*1.5 + kaszf*7 +harm*1 + maci*1 + szerencs*1 + uf*1 <= 1000;
s.t. szoda: kf*1 + nf*1 + hl*2 + hm*2 + vh*3 +krf*1 + sf*9 + pf*3 + hu*1 + lf*4 + pm*4 + maf*0.5 + csat*0.5 + lmp*0.5 + kaszf*3 +harm*5 + maci*1.9 + szerencs*1 <= 1500;

s.t. rum: szerencs*1 +nagym*1 <= 200;
s.t. szorp: maci*0.1 <= 100;
s.t. uborka: uf*2 <= 100;
s.t. kola: nagym*1 + kisv*1 + nagyv*1 <= 200;
s.t. vbor: nagym*3 + kisv*1 + nagyv*2 <= 500;

maximize arbevetel: (kf*200 + nf*330 + hl*210 + hm*470 + vh*400 + krf*1500 + sf*300 + pf*900 + hu*600 +lf*250 + pm*1000 + maf*150 + csat*170 + lmp*300 + kaszf*1100 +harm*300 + maci*800 + szerencs*900 + uf*150 + nagym*1200 + kisv*500 + nagyv*650);
end;